---
template: simple.tpl
name: uSwitch living styleguide
---
<p>
  The sum of our efforts towards style guidelines, a pattern library and an automated front-end. Made with &#10084; at <a href="https://www.uswitch.com" target="_blank"><strong class="us-color--blue">uSwitch.com</strong></a>
</p>
<div class="us-content-group mobile-bordered">
  <div class="us-grid-row">
    <div class="us-col-md-6">
      <h3>Design guidelines</h3>
      <p>uStyle includes documentation and guidelines relating to our core design principles. It is where we document everything that happens within our brand, UX and front-end development.</p>
    </div>
    <div class="us-col-md-6">
      <h3>Automated development</h3>
      <p>uStyle is a gem, a bower package, a npm package and static assets. This allows our team setup to choose how they wish to implement the core front-end of uSwitch. We've tried to be as accessible as possible.</p>
    </div>
  </div>
</div>
<div class="us-content-group mobile-bordered">
  <div class="us-grid-row">
    <div class="us-col-md-6">
      <h3>Pattern library</h3>
      <p>At its core, uStyle is a pattern library. It contains all current components and elements of the uSwitch UI. These are documented in the <a href="/pattern-library/">pattern library</a> section.</p>
    </div>
    <div class="us-col-md-6">
      <h3>Designer + developer happiness</h3>
      <p>Delivering designer + developer happiness is very important to us. uStyle provides a base for all our design and development work and allows our designers and developers to focus on the things that matter, whilst making their lives easier when prototyping.</p>
    </div>
  </div>
</div>
<div class="us-content-group">
  <h2>The logo</h2>
  <div class="us-grid-row">
    <div class="us-col-md-2">
      <svg class="us-icon--large us-icon--ustyle" role="img">
        <use xlink:href="/images/icons.svg#icon-ustyle"></use>
      </svg>
    </div>
    <div class="us-col-md-10">
      <p>There is no reason for this logo other than it's funny and unicorns are all the rage just now.</p>

      <p><strong>Disclaimer:</strong> uSwitch is not a unicorn company.
    </div>
  </div>
</div>
<div class="us-content-group">
  <h2>We're looking for great talent</h2>
  <p>Want to help us build more things like uStyle? We're constantly trying to deliver a better experience for customers and developers, and we're looking for passionate people to join our team.</p>
  <p>Fire us an email at <a href="mailto:jobs+developer@uswitch.com">jobs@uswitch.com</a> with your CV and tell us a bit about yourself.</p>
</div>
