---
name: Style
---

The smallest mistake can undermine the biggest (and most important) of messages. Those writing for uSwitch should ensure they follow these style rules that cover everything from headlines to hyphens, and numbers to names.

<ul class='table-of-contents'>
<li><a href="#Abbreviations">Abbreviations</a></li>
<li><a href="#Acronyms"> Acronyms</a></li>
<li><a href="#Ampersand">Ampersand</a></li>
<li><a href="#Apostrophes">Apostrophes</a></li>
<li><a href="#British English">British English</a></li>
<li><a href="#Bullet points">Bullet points</a></li>
<li><a href="#Capital letters">Capital letters</a></li>
<li><a href="#Company names and references">Company names and references</a></li>
<li><a href="#Contractions">Contractions</a></li>
<li><a href="#Dashes and hyphens">Dashes and hyphens</a></li>
<li><a href="#Dates">Dates</a></li>
<li><a href="#Full stops">Full stops</a></li>
<li><a href="#Government">Government</a></li>
<li><a href="#Legals, disclaimers and caveats">Legals, disclaimers and caveats</a></li>
<li><a href="#Less vs. Fewer">Less vs. Fewer</a></li>
<li><a href="#Numbers">Numbers</a></li>
<li><a href="#OK">OK</a></li>
<li><a href="#Percentages">Percentages</a></li>
<li><a href="#Plans vs tariffs">Plans vs tariffs</a></li>
<li><a href="#Quotation marks">Quotation marks</a></li>
<li><a href="#Titles and Names">Titles and Names</a></li>
<li><a href="#Wi-Fi">Wi-Fi</a></li>
</ul>

<span id="Abbreviations"></span>
**Abbreviations**

For names of companies or organisations, if an abbreviation is more familiar than the full form (e.g. BBC, IBM) use that. If not, write the name in full the first time you mention it, followed by the abbreviation in brackets. The next time you refer to it, use only the abbreviation.

<span id="Acronyms"></span>
**Acronyms**

Write out in first use, noting the acronym in brackets; then use just the acronym going forward. Familiar acronyms such as WiFi, HTML, HMRC and BT are exempt from this rule.

<blockquote>
	The TaxPayers’ Alliance (TPA) has warned that the campaigns being led by lobbies could lead to higher household bills. Matthew Sinclair, director of the TPA ... 
</blockquote>

<span id="Ampersand"></span>
**Ampersand**

Do not use the “&” symbol unless it is part of a company or product name.

<span id="Apostrophes"></span>
**Apostrophes**

Avoid common misuse of apostrophes:

- Mixing up it’s (it is) and its (possessive)
- Using to denote plural: DVD’s (wrong) vs DVDs (correct)
- When writing Dos and Don’ts (not Do’s and Don’ts)
- When writing decades 1990s (not 1990’s); the ’80s (not the 80’s)

<span id="British English"></span>
**British English**

Use the British ‘s’ in words such as ‘realise’, and ‘specialise’, rather than the American ‘z’.

<span id="Bullet points"></span>
**Bullet points**

Bullet points are a good way to make web copy easier to scan for readers. Bullet points should always be round, and limit bullets to six or fewer. Make  sure they are grammatically logical.

<span id="Capital letters"></span>
**Capital letters**

Never use all capital letters. Headlines follow usual sentence structure, with only the first word and proper nouns utilising capitals.

<span id="Company names and references"></span>
**Company names and references**

Follow punctuation and capitalisation of company names and products as they are branded.

<blockquote>
	E.ON, iPhone, iSaver
</blockquote> 

When referencing a company in a news or guide, remember to always keep them in the singular.

<blockquote>
	BT is launching a new ... (not BT are launching a new ...)
</blockquote>

<span id="Contractions"></span>
**Contractions**

Our tone of voice is friendly and familiar, so it’s fine to use contractions like ‘they’ll’, ‘it’ll’, ‘isn’t’.

<span id="Dashes and hyphens"></span>
**Dashes and hyphens**

If you use a dash within a sentence to create emphasis, then use a long em dash – rather than a hyphen (-).
Compound adjectives before a noun generally use a hyphen (e.g. ‘the well-organised energy provider’). After a noun, they should be separated (e.g. ‘the energy provider was well organised’).

<span id="Dates"></span>
**Dates**

Always write out the date, using day, month, year format in news and guides: 

<blockquote>
	9 December 2013. When using dates in tables, this may be shortened for space reasons to 9/12/13
</blockquote> 

In forms when asking for a date we always use the DD/MM/YYYY format.

<span id="Exclamation marks"></span>
**Exclamation marks**

Use sparingly, never in headers or intro copy, best suited for marketing/promotional material or news/blogs. 

<span id="Full stops"></span>
**Full stops**

Don’t use full stops at the end of headlines.

<span id="Government"></span>
**Government**

Do not capitalise unless starting a sentence. The abbreviated Gov’t can be used in headlines and desk heads/straplines. 

<span id="Legals, disclaimers and caveats"></span>
**Legals, disclaimers and caveats**

Superscript numbering should be used when there is more than one caveat, however, when there is only one caveat in a communication, an asterisk (*) should be used.

<span id="Less vs. Fewer"></span>
**Less vs. Fewer**

Use “less” when the subject is something that cannot be counted

<blockquote>
She wants to have less clutter on her desk.
</blockquote>

Use “fewer” when the subject is something that can be counted

<blockquote>
He sent fewer texts after getting a £100 phone bill.
</blockquote>

<span id="Numbers"></span>
**Numbers**

- Numbers nine and below must be written out: one, two, three, etc. 
- Numbers 10 and higher use numerals: 15, 67, 987, etc.
- Spell out any amount when it starts a sentence: Three hundred and twenty customers surveyed said they had been wrongly billed on more than 15 occasions. 
- Use commas with figures 1,000 and above. 
- With million and billion, write out in body copy; the abbreviation (£43bn) is acceptable in news headlines for space reasons.
- Always use numerals when using the “£” or “%” symbols

<span id="OK"></span>
**OK**

Not Ok or okay.

<span id="Percentages"></span>
**Percentages**

Always use the “%” symbol; only use “per cent” at the start of a sentence. Always use numerals when talking about percentages (54%), unless it starts a sentence. We never use abbreviation “pc” when talking about percentages.

<blockquote>
	Fifty-five per cent of the population own an iPhone.
</blockquote>

<blockquote>
	Of those surveyed, 55% said they had been denied a credit card. 
</blockquote>

<span id="Plans vs tariffs"></span>
**Plans vs tariffs**

Plans is the preferred term, only switch to use of tariff when trying to avoid repetition within one email or guide.

<span id="Quotation marks"></span>
**Quotation marks**

Always use double quotation marks (“) when placing a direct quote in body copy.

Use single quote marks (‘) in headlines, standfirsts/dek heads and when quoting within a quote:

<blockquote>
	Super-fast broadband uptake ‘reaches 20% in UK’
</blockquote> 

<blockquote>
	“Super-fast broadband will be the engine for growth for the broadband future of Britain," he said. 
</blockquote> 

<span id="Titles and Names"></span>
**Titles and Names**

Professional titles are not capitalised unless it directly precedes a name:

<blockquote>
	Director of Consumer Policy Jane Smith said that the news was a shock.
</blockquote>

<blockquote>
	Jane Smith, director of consumer policy at the company, said the news came as a shock.
</blockquote>

On first reference, use the person’s first and last name. On subsequent references, last name only is used. 

Mr/Mrs/Miss/Ms is never used.

<blockquote>
	Energy Secretary Ed Davey was on-hand to field questions about the news. Davey arrived late, citing a long-running meeting.
</blockquote>

<span id="Wi-Fi"></span>
**Wi-Fi**

Not wifi, WIFI, WiFi, etc. 